Part Tube/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
 
(22 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/it
|[[Part_Torus|Torus]]
|[[Part_Torus/it|Toro]]
|[[Part_Primitives|Primitives]]
|[[Part_Primitives/it|Primitive]]
|[[Part_Workbench|Part]]
|[[Part_Workbench/it|Part]]
|IconL=Part_Torus.svg
|IconL=Part_Torus.svg
|IconR=Part_Primitives.svg
|IconR=Part_Primitives.svg
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/it
|Name=Part Tube
|Name=Part Tube
|Name/it=Part Tubo
|MenuLocation=Part → Primitives → Create tube
|MenuLocation=Parte → Primitive → Crea tubo
|Workbenches=[[Part_Workbench|Part]]
|Workbenches=[[Part_Workbench/it|Part]]
|Version=0.19
|Version=0.19
|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]
|SeeAlso=[[Part_Primitives/it|Part Primitive]]
}}
}}


==Description==
<span id="Description"></span>
==Descrizione==


Il comando [[Image:Part_Tube.svg|24px]] '''Part Tubo''' crea un tubo parametrico solido. Nel sistema di coordinate definito dalla sua proprietà {{PropertyData|Placement}}, la faccia inferiore del tubo si trova sul piano XY con il centro nell'origine.
The Tube command inserts a tube into the active document. The tube is geometrically treated as a cut of a smaller cylinder into a larger one. By default, the command will insert a 10 mm high tube with an outer radius of 5 mm and an inner radius of 2 mm. These parameters can be modified after the object has been added.


[[Image:Part_Tube-screenshot.png|Screenshot of a Tube]]
[[Image:Part_Tube_Example.png|400px]]


==Usage==
<span id="Usage"></span>
==Utilizzo==


<span id="Create"></span>
To create a tube either:
=== Crea ===
* press the {{Button|[[Image:Part_Tube.svg|16px]] '''Tube'''}} button in the toolbar
* use the menu {{MenuCommand|Part → Primitives → Create tube}}


# Esistono diversi modi per richiamare il comando:
To edit the tube
#* Premere il pulsante {{Button|[[Image:Part_Tube.svg|16px]] [[Part_Tube/it|Crea tubo]]}}.
* either
#* Selezionare l'opzione {{MenuCommand|Parte → Primitive → [[Image:Part_Tube.svg|16px]] Crea tubo}} dal menu.
** select it in the tree and double-click on it
# Si apre il pannello delle attività {{MenuCommand|Tubo}} e un'anteprima del tubo viene visualizzata nella [[3D_view/it|Vista 3D]].
** edit the parameters in the appearing dialog
# Specificare le dimensioni.
* or use the the [[Property_editor | property editor]] to edit the parameters
# L'anteprima viene aggiornata dinamicamente.
# Premere il pulsante {{Button|OK}}.
# Il tubo viene creato.
# Facoltativamente, modificare il {{PropertyData|Placement}} del tubo nel [[Property_editor/it|Editor delle proprietà]] o con il comando [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip/it|Trasforma]].


<span id="Edit"></span>
==Properties==
=== Modifica ===


# Fare doppio clic sul tubo nella [[Tree_view/it|Vista ad albero]]
* Via the [[Property_editor | Property Editor]]:
# Si apre il pannello delle azioni {{MenuCommand|Tubo}}.
** '''Height:''' Sets the height (default is 10 mm).
# Modificare una o più dimensioni.
** '''Inner Radius:''' Set the inner radius (default is 2 mm).
# Il tubo viene aggiornato dinamicamente nella [[3D_view/it|vista 3D]].
** '''Outer Radius:''' Set the outer radius (default is 5 mm).
# Premere il pulsante {{Button|OK}}.
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


<span id="Example"></span>
== Esempio ==


[[Image:Part_Tube_Scripting_Example.png|thumb|Part Tubo dall'esempio di scripting]]
{{Docnav

|[[Part_Torus|Torus]]
Qui viene mostrato un oggetto Part Tubo creato con l'[[#Script|esempio di scripting]] riportato di seguito.
|[[Part_Primitives|Primitives]]

|[[Part_Workbench|Part]]
<span id="Properties"></span>
==Proprietà==

Vedere anche: [[Property_editor/it|Editor delle proprietà]].

Un oggetto Part Tubo deriva da un oggetto [[Part_Feature/it|Funzione Part]] e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:

<span id="Data"></span>
=== Dati ===

{{TitleProperty|Attachment}}

L'oggetto ha le stesse proprietà di collegamento di un [[Part_Part2DObject/it#Dati|Part Part2DObject]].

{{TitleProperty|Tube}}

* {{PropertyData|Height|Length}}: l'altezza del tubo. Il valore predefinito è {{Value|10mm}}.
* {{PropertyData|Inner Radius|Length}}: il raggio interno del tubo. Deve essere inferiore a {{PropertyData|Outer Radius}}. Può essere {{Value|0}}. Il valore predefinito è {{Value|2mm}}.
* {{PropertyData|Outer Radius|Length}}: il raggio esterno del tubo. Deve essere maggiore di {{PropertyData|Inner Radius}}. Il valore predefinito è {{Value|5mm}}.

<span id="Scripting"></span>
== Script ==

Vedere anche: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting/it|Script di Part]] e [[FreeCAD_Scripting_Basics/it|Script di base per FreeCAD]].

Un Part Tubo può essere creato con il metodo {{Incode|addTube()}} ({{Version/it|0.20}}) del modulo Shapes:

{{Code|code=
tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
}}

* Dove {{Incode|"myTube"}} è il nome dell'oggetto.
* La funzione restituisce l'oggetto appena creato.

Esempio:

{{Code|code=
import FreeCAD as App
from BasicShapes import Shapes

doc = App.activeDocument()

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
tube.Height = 20
tube.InnerRadius = 2
tube.OuterRadius = 3
tube.Placement = App.Placement(App.Vector(2, 4, 5), App.Rotation(60, 60, 30))

doc.recompute()
}}


{{Docnav/it
|[[Part_Torus/it|Toro]]
|[[Part_Primitives/it|Primitive]]
|[[Part_Workbench/it|Part]]
|IconL=Part_Torus.svg
|IconL=Part_Torus.svg
|IconR=Part_Primitives.svg
|IconR=Part_Primitives.svg
Line 55: Line 119:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 22:45, 29 December 2023

Part Tubo

Posizione nel menu
Parte → Primitive → Crea tubo
Ambiente
Part
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Part Primitive

Descrizione

Il comando Part Tubo crea un tubo parametrico solido. Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, la faccia inferiore del tubo si trova sul piano XY con il centro nell'origine.

Utilizzo

Crea

  1. Esistono diversi modi per richiamare il comando:
    • Premere il pulsante Crea tubo.
    • Selezionare l'opzione Parte → Primitive → Crea tubo dal menu.
  2. Si apre il pannello delle attività Tubo e un'anteprima del tubo viene visualizzata nella Vista 3D.
  3. Specificare le dimensioni.
  4. L'anteprima viene aggiornata dinamicamente.
  5. Premere il pulsante OK.
  6. Il tubo viene creato.
  7. Facoltativamente, modificare il DatiPlacement del tubo nel Editor delle proprietà o con il comando Trasforma.

Modifica

  1. Fare doppio clic sul tubo nella Vista ad albero
  2. Si apre il pannello delle azioni Tubo.
  3. Modificare una o più dimensioni.
  4. Il tubo viene aggiornato dinamicamente nella vista 3D.
  5. Premere il pulsante OK.

Esempio

Part Tubo dall'esempio di scripting

Qui viene mostrato un oggetto Part Tubo creato con l'esempio di scripting riportato di seguito.

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Part Tubo deriva da un oggetto Funzione Part e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:

Dati

Attachment

L'oggetto ha le stesse proprietà di collegamento di un Part Part2DObject.

Tube

  • DatiHeight (Length): l'altezza del tubo. Il valore predefinito è 10mm.
  • DatiInner Radius (Length): il raggio interno del tubo. Deve essere inferiore a DatiOuter Radius. Può essere 0. Il valore predefinito è 2mm.
  • DatiOuter Radius (Length): il raggio esterno del tubo. Deve essere maggiore di DatiInner Radius. Il valore predefinito è 5mm.

Script

Vedere anche: Autogenerated API documentation, Script di Part e Script di base per FreeCAD.

Un Part Tubo può essere creato con il metodo addTube() (disponibile dalla versione 0.20) del modulo Shapes:

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
  • Dove "myTube" è il nome dell'oggetto.
  • La funzione restituisce l'oggetto appena creato.

Esempio:

import FreeCAD as App
from BasicShapes import Shapes

doc = App.activeDocument()

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
tube.Height = 20
tube.InnerRadius = 2
tube.OuterRadius = 3
tube.Placement = App.Placement(App.Vector(2, 4, 5), App.Rotation(60, 60, 30))

doc.recompute()